Skip to content
Start here

Get a WAF override

Deprecated
client.firewall.waf.overrides.get(stringoverridesID, OverrideGetParams { zone_id } params, RequestOptionsoptions?): void
GET/zones/{zone_id}/firewall/waf/overrides/{overrides_id}

This endpoint has been deprecated and returns 410 Gone. Please use the Rulesets API instead.

Previously fetched the details of a URI-based WAF override.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone Settings WriteZone Settings Read
ParametersExpand Collapse
overridesID: string

The unique identifier of the WAF override.

maxLength32
params: OverrideGetParams { zone_id }
zone_id: string

Defines an identifier.

maxLength32

Get a WAF override

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

await client.firewall.waf.overrides.get('de677e5818985db1285d0e80225f06e5', {
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});
Returns Examples